Subject: Re: [kbuild-all] Re: [ipsec-next:testing 1/2] net/ipv6/esp6.c:144:15: error: implicit declaration of function 'csum_ipv6_magic'; did you mean 'csum_tcpudp_magic'?

From: Philip Li <[email-masked]>
Date: Wed, 29 Apr 2020 22:09:54 +0800

On Wed, Apr 29, 2020 at 03:29:34PM +0200, Sabrina Dubroca wrote:
> 2020-04-28, 08:21:13 +0800, Rong Chen wrote:
> > 
> > 
> > On 4/27/20 10:32 PM, Sabrina Dubroca wrote:
> > > 2020-04-23, 20:02:30 +0800, kbuild test robot wrote:
> > > > tree:   https://git.kernel.org/pub/scm/linux/kernel/git/klassert/ipsec-next.git testing
> > > > head:   ce37981d9045220810dabcb9cf20a1d86202c76a
> > > > commit: 3fd2d6fdcbb7bcd1fd7110d997fb6ed6eb71dca3 [1/2] xfrm: add support for UDPv6 encapsulation of ESP
> > > > config: c6x-allyesconfig (attached as .config)
> > > > compiler: c6x-elf-gcc (GCC) 9.3.0
> > > > reproduce:
> > > >          wget https://raw.githubusercontent.com/intel/lkp-tests/master/sbin/make.cross -O ~/bin/make.cross
> > > >          chmod +x ~/bin/make.cross
> > > >          git checkout 3fd2d6fdcbb7bcd1fd7110d997fb6ed6eb71dca3
> > > >          # save the attached .config to linux build tree
> > > >          COMPILER_INSTALL_PATH=$HOME/0day GCC_VERSION=9.3.0 make.cross ARCH=c6x
> > > This doesn't work for me :(
> > > 
> > > $HOME/0day/gcc-9.3.0-nolibc/c6x-elf/bin/../libexec/gcc/c6x-elf/9.3.0/cc1: error while loading shared libraries: libisl.so.19: cannot open shared object file: No such file or directory
> > > 
> > > 
> > 
> > Hi Sabrina,
> > 
> > You may need to install libisl19.
> 
> Yes, I could probably do that, but I expected those tools to work on
> any system, without having to install additional packages. If I have
> to install some extra stuff on my system (and none of the systems I
> have come with libisl19, so I'd have to mess around quite a bit), it
> makes those tools you provide a lot less convenient to use.
sorry for this, yes, we also notice this is not easy to use, and can't
simply make it work for different user environment. Thus we actually
work on to put libisl.so as part of package (same as you suggested below).

> 
> It would be great if you could rebuild them with libisl integrated, so
> that it doesn't depend on the system anymore.
Thanks for suggestion, we will provide new package tomorrow after member
had verified it.

> 
> Thanks,
> 
> -- 
> Sabrina
> _______________________________________________
> kbuild-all mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]